Package de.willuhn.jameica.hbci.gui.dialogs

# Class CaptchaDialog

java.lang.Object
de.willuhn.jameica.gui.dialogs.AbstractDialog
de.willuhn.jameica.hbci.gui.dialogs.CaptchaDialog

public class CaptchaDialog extends de.willuhn.jameica.gui.dialogs.AbstractDialog
Dialog zum manuellen Loesen eines Captcha.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.dialogs.AbstractDialog

`MONITOR_CURRENT, MONITOR_PRIMARY, POSITION_CENTER, POSITION_MOUSE`

## Constructor Summary

Constructors
Constructor
Description
`CaptchaDialog(InputStream is, int position)`
ct.
`CaptchaDialog(String url, int position)`
ct.

## Method Summary

Modifier and Type
Method
Description
`protected Object`
`getData()`
`protected void`
`paint(org.eclipse.swt.widgets.Composite parent)`

### Methods inherited from class de.willuhn.jameica.gui.dialogs.AbstractDialog

`addCloseListener, addShellListener, close, createShell, getDisplay, getShell, isModeless, onEscape, open, setMonitor, setPanelText, setSideImage, setSize, setTitle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CaptchaDialog

public CaptchaDialog(String url, int position) throws de.willuhn.util.ApplicationException
ct.

Parameters:
  `url` - URL des Bildes.
  `position` -
Throws:
  `de.willuhn.util.ApplicationException`

### CaptchaDialog

public CaptchaDialog(InputStream is, int position) throws de.willuhn.util.ApplicationException
ct.

Parameters:
  `is` - Stream mit dem Bild.
  `position` -
Throws:
  `de.willuhn.util.ApplicationException`

## Method Details

### paint

protected void paint(org.eclipse.swt.widgets.Composite parent) throws Exception

Specified by:
  `paint` in class `de.willuhn.jameica.gui.dialogs.AbstractDialog`
Throws:
  `Exception`
See Also:
  - `AbstractDialog.paint(org.eclipse.swt.widgets.Composite)`

### getData

protected Object getData() throws Exception

Specified by:
  `getData` in class `de.willuhn.jameica.gui.dialogs.AbstractDialog`
Throws:
  `Exception`
See Also:
  - `AbstractDialog.getData()`